
%global guiloader_version 2.21.0
%global guiloader_release 0.1
%global guiloader_package 2.21.0
%global guiloader_dep_glib 2.26
%global guiloader_dep_gtk 2.22

Name:             guiloader
Version:          %{guiloader_version}
Release:          %{guiloader_release}
Summary:          A GuiXml files loading library
Vendor:           crowdesigner.org

Group:            System Environment/Libraries
License:          MIT
URL:              http://www.crowdesigner.org
Source0:          http://nothing-personal.googlecode.com/files/guiloader-%{guiloader_package}.tar.bz2

BuildRequires:    glib2-devel >= %{guiloader_dep_glib}
BuildRequires:    gtk2-devel >= %{guiloader_dep_gtk}
BuildRequires:    gettext

Requires:         glib2 >= %{guiloader_dep_glib}
Requires:         gtk2 >= %{guiloader_dep_gtk}

%description
The GuiLoader library allows applications to reconstruct user interfaces from GuiXml files. GuiXml interfaces are created and edited by the Crow Designer. Access to the GuiLoader functionality for applications in C++ is granted by a special auxiliary library, GuiLoader-C++.

%prep
%setup -q -n %{name}-%{guiloader_package}

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%find_lang guiloader

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f guiloader.lang
%defattr(-, root, root, -)
%doc doc/*.txt
%{_libdir}/libguiloader.so.*

%package devel
Summary:          Headers for developing programs that will use GuiLoader
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         gtk2-devel
Requires:         pkgconfig

%description devel
This package contains the header files needed for developing GuiLoader applications.

%files devel
%defattr(-, root, root, -)
%{_includedir}/guiloader
%{_libdir}/pkgconfig/guiloader.pc
%{_libdir}/libguiloader.so
